#!/bin/bash

set -e

case $1 in
"backend")
  CGO_ENABLED=0 GOOS=linux GOARCH=amd64 go build -v -o temp/proxyport.linux main.go
  scp -P 5566 temp/proxyport.linux kzkzzzz@193.32.149.42:temp/proxyport/proxyport.linux
;;
"frontend")
cd frontend
npm run build
static_dir=/c/userdata/dev/devgo/my/proxyport/app/static
rm -rf $static_dir/assets
cp -rf dist/index.html $static_dir/view/
cp -rf dist/assets $static_dir/assets/
;;
*)
 echo 'other'
;;

esac